> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beyondwords.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Transcribe text

> Transcribes text into phonemes for use in pronunciation rules.



## OpenAPI

````yaml post /rules/transcribe
openapi: 3.0.1
info:
  title: BeyondWords REST API
  description: |-
    This is the documentation for the BeyondWords REST API.
              You can use this API to use BeyondWords programmatically.
              You can get your API Key and Project ID for each project in the Project settings tab in the BeyondWords
              <a href="https://dash.beyondwords.io/dashboard">dashboard</a>.
  version: 1.0.0
servers:
  - url: https://api.beyondwords.io/v1
security: []
paths:
  /rules/transcribe:
    post:
      tags:
        - Rules
      summary: Transcribe rule text
      description: Transcribes text into phonemes for use in pronunciation rules.
      operationId: rules#transcribe
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/requestBodyTranscribeRule'
      responses:
        '200':
          description: successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  transcription:
                    type: string
                  language:
                    type: string
      security:
        - apiKey: []
components:
  schemas:
    requestBodyTranscribeRule:
      type: object
      properties:
        text:
          type: string
          description: The text to be transcribed
        type:
          type: string
          nullable: true
          enum:
            - ipa
          description: The transcription type to generate (currently only `ipa`)
        language:
          type: object
          nullable: true
          properties:
            code:
              type: string
              description: Language code (ISO 639-1 with optional region, e.g., en_GB)
              pattern: ^[a-z]{2}(_[A-Z]{2})?$
              maxLength: 10
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````